public:
  /// Overrides the base class version of selectItem()
  virtual FXbool selectItem(FXint index,FXbool notify=FALSE);
  
  /// Overrides the base class version of deselectItem()
  virtual FXbool deselectItem(FXint index,FXbool notify=FALSE);
  
  /// Overrides the base class version of toggleItem()
  virtual FXbool toggleItem(FXint index,FXbool notify=FALSE);

  /// Overrides the base class version of selectInRectangle()
  virtual FXbool selectInRectangle(FXint x,FXint y,FXint w,FXint h,FXbool notify=FALSE);

  /// Overrides the base class version of extendSelection()
  virtual FXbool extendSelection(FXint index,FXbool notify=FALSE);

  /// Overrides the base class version of killSelection()
  virtual FXbool killSelection(FXbool notify=FALSE);

  /// Overrides the base class version of setCurrentItem()
  virtual void setCurrentItem(FXint index,FXbool notify=FALSE);
